Debian Bug report logs - #543731
perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Frank Lichtenheld <djpig@debian.org>

Date: Wed, 26 Aug 2009 16:54:08 UTC

Severity: serious

Tags: patch

Found in version perl/5.10.1~rc2-1

Fixed in version perl/5.10.1-1

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Wed, 26 Aug 2009 16:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. (Wed, 26 Aug 2009 16:54:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: submit@bugs.debian.org
Subject: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Wed, 26 Aug 2009 18:44:55 +0200
Package: perl
Version: 5.10.1~rc2-1
Severity: serious

Hi,

your package failed to build from source.

| Automatic build of perl_5.10.1~rc2-1 on meitner by sbuild/hppa 98-farm
| Build started at 20090826-1736
| ******************************************************************************
| Checking available source versions...
| Fetching source files...
| Reading package lists...
| Building dependency tree...
| Reading state information...
| Need to get 14.2MB of source archives.
| Get:1 http://ftp2.de.debian.org experimental/main perl 5.10.1~rc2-1 (dsc) [1399B]
| Get:2 http://ftp2.de.debian.org experimental/main perl 5.10.1~rc2-1 (tar) [14.1MB]
| Get:3 http://ftp2.de.debian.org experimental/main perl 5.10.1~rc2-1 (diff) [86.1kB]
| Fetched 14.2MB in 24s (576kB/s)
| Download complete and in download only mode
| ** Using build dependencies supplied by package:
| Build-Depends: file, cpio (>= 2.6-5), libdb4.7-dev, libgdbm-dev, netbase [!hurd-i386], gcc (>= 4:4.2), procps | hurd, zlib1g-dev | libz-dev, libbz2-dev
| Build-Conflicts: libterm-readline-gnu-perl (<< 1.17)
| Checking for already installed source dependencies...
[...]
| lib/autodie/t/flock...........................................#   Failed test 'Double-flocking should be EWOULDBLOCK'
| #   at ../lib/autodie/t/flock.t line 58.
| #          got: '11'
| #     expected: '246'
| FAILED at test 2

Full build log(s): http://experimental.ftbfs.de/build.php?&ver=5.10.1~rc2-1&pkg=perl&arch=hppa

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Wed, 26 Aug 2009 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Wed, 26 Aug 2009 19:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 543731@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org
Cc: Paul Fenwick <pjf@perltraining.com.au>
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Wed, 26 Aug 2009 22:25:12 +0300
clone 543731 -1
reassign -1 libautodie-perl 2.06-1
retitle -1 libautodie-perl: FTBFS on hppa: lib/autodie/t/flock fails
thanks

On Wed, Aug 26, 2009 at 06:44:55PM +0200, Frank Lichtenheld wrote:
> Package: perl
> Version: 5.10.1~rc2-1
> Severity: serious

> | lib/autodie/t/flock...........................................#   Failed test 'Double-flocking should be EWOULDBLOCK'
> | #   at ../lib/autodie/t/flock.t line 58.
> | #          got: '11'
> | #     expected: '246'
> | FAILED at test 2

Thanks for the report. This also happens with the separate
libautodie-perl package and Perl 5.10.0 so cloning.

ok 1 - Test file locked
not ok 2 - Double-flocking should be EWOULDBLOCK
#   Failed test 'Double-flocking should be EWOULDBLOCK'
#   at t/flock.t line 58.
#          got: '11'
#     expected: '246'
ok 3 - flocking a file twice should fail
not ok 4 - Non-blocking flock should not fail on EWOULDBLOCK
#   Failed test 'Non-blocking flock should not fail on EWOULDBLOCK'
#   at t/flock.t line 60.
#          got: 'Can't lock filehandle for exclusive access: Resource temporarily unavailable at t/flock.t line 55
# '
#     expected: ''
1..4
# Looks like you failed 2 tests of 4.


The problem is that errno.h has separate values for EAGAIN (11) and
EWOULDBLOCK (246) on hppa and the kernel is returning EAGAIN (contrary
to the flock(2) manual page.) Some background for this can be found in

 http://bugs.debian.org/165881
 http://lists.parisc-linux.org/hypermail/parisc-linux/9895.html

I suppose that regardless of whether this is ever fixed on the kernel
and/or documentation side, t/flock.t and lib/Fatal.pm need to check for
both EWOULDBLOCK and EAGAIN for compatibility.

Cc'ing the upstream author, Paul Fenwick.

Paul: just for clarification, hppa is the Debian name for the PA-RISC
Linux port.  Let me know if you want me to file an RT ticket too.

I'm sorry we didn't find out about this quite in time before the 5.10.1
release...
-- 
Niko Tyni   ntyni@debian.org




Bug 543731 cloned as bug 543761. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 26 Aug 2009 19:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Thu, 27 Aug 2009 07:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Fenwick <pjf@perltraining.com.au>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Thu, 27 Aug 2009 07:45:09 GMT) Full text and rfc822 format available.

Message #17 received at 543731@bugs.debian.org (full text, mbox):

From: Paul Fenwick <pjf@perltraining.com.au>
To: Niko Tyni <ntyni@debian.org>
Cc: Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org, Perl 5 Porters <perl5-porters@perl.org>
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Thu, 27 Aug 2009 17:39:34 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

G'day Niko / All,

Niko Tyni wrote:

> The problem is that errno.h has separate values for EAGAIN (11) and
> EWOULDBLOCK (246) on hppa and the kernel is returning EAGAIN (contrary
> to the flock(2) manual page.) Some background for this can be found in

> I suppose that regardless of whether this is ever fixed on the kernel
> and/or documentation side, t/flock.t and lib/Fatal.pm need to check for
> both EWOULDBLOCK and EAGAIN for compatibility.

Drat.  EAGAIN actually makes me feel funny, because I've always interpreted
it to mean "I got distracted there, please try that again".  However in this
case, we *don't* want to try again, because we'll spin the CPU trying to get
a lock in non-blocking mode.

So ideally I'd only want to check for EAGAIN on hppa architectures.  That
should be easy enough for me to detect at compile-time, however I don't have
a PA-RISC box handy to see how they identify themselves.

If you do have one, could you give the output of:

	perl -MConfig -le'print $Config{archanme}'

> I'm sorry we didn't find out about this quite in time before the 5.10.1
> release...

Well, I'm still glad we've got a test that picked this up.  I'm sure it will
save someone the pain of tracking down a very subtle bug in the future.

Autodie is a dual-life module, so I can push a new version to the CPAN
relatively quickly.

Many thanks for the bug report!

	Paul

- --
Paul Fenwick <pjf@perltraining.com.au> | http://perltraining.com.au/
Director of Training                   | Ph:  +61 3 9354 6001
Perl Training Australia                | Fax: +61 3 9354 2681
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqWOC4ACgkQx5N6j7FHnlWraACdGx5GXnQa5Q8pFJLEiStUPTpI
h/gAniM2QcKX57/JIdeu/MPOW8uCR8UR
=6HPz
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Thu, 27 Aug 2009 08:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Garcia-Suarez <rgarciasuarez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Thu, 27 Aug 2009 08:42:08 GMT) Full text and rfc822 format available.

Message #22 received at 543731@bugs.debian.org (full text, mbox):

From: Rafael Garcia-Suarez <rgarciasuarez@gmail.com>
To: Paul Fenwick <pjf@perltraining.com.au>
Cc: Niko Tyni <ntyni@debian.org>, Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org, Perl 5 Porters <perl5-porters@perl.org>
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Thu, 27 Aug 2009 10:33:22 +0200
2009/8/27 Paul Fenwick <pjf@perltraining.com.au>:
> So ideally I'd only want to check for EAGAIN on hppa architectures.  That
> should be easy enough for me to detect at compile-time, however I don't have
> a PA-RISC box handy to see how they identify themselves.
>
> If you do have one, could you give the output of:
>
>        perl -MConfig -le'print $Config{archanme}'

actually that's "archname" (and can be written more tersely as "perl
-V:archname")
Also, archname will contain other information (e.g. whether the perl
has support for threads or not) so you need to test against the first
component, which on Linux corresponds to the output of "uname -m".




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Thu, 27 Aug 2009 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Thu, 27 Aug 2009 20:42:06 GMT) Full text and rfc822 format available.

Message #27 received at 543731@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Rafael Garcia-Suarez <rgarciasuarez@gmail.com>
Cc: Paul Fenwick <pjf@perltraining.com.au>, Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org, Perl 5 Porters <perl5-porters@perl.org>
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Thu, 27 Aug 2009 23:32:59 +0300
On Thu, Aug 27, 2009 at 10:33:22AM +0200, Rafael Garcia-Suarez wrote:
> 2009/8/27 Paul Fenwick <pjf@perltraining.com.au>:
> > So ideally I'd only want to check for EAGAIN on hppa architectures.  That
> > should be easy enough for me to detect at compile-time, however I don't have
> > a PA-RISC box handy to see how they identify themselves.
> >
> > If you do have one, could you give the output of:
> >
> >        perl -MConfig -le'print $Config{archanme}'
> 
> actually that's "archname" (and can be written more tersely as "perl
> -V:archname")
> Also, archname will contain other information (e.g. whether the perl
> has support for threads or not) so you need to test against the first
> component, which on Linux corresponds to the output of "uname -m".

Our build calls Configure with -Darchname=hppa-linux-gnu (the output of
$(dpkg-architecture -qDEB_BUILD_GNU_TYPE)), resulting in

 % perl -V:archname
 archname='hppa-linux-gnu-thread-multi';
 % uname -m
 parisc64

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Sun, 30 Aug 2009 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Sun, 30 Aug 2009 19:27:05 GMT) Full text and rfc822 format available.

Message #32 received at 543731@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Paul Fenwick <pjf@perltraining.com.au>
Cc: Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Sun, 30 Aug 2009 22:07:12 +0300
[Message part 1 (text/plain, inline)]
tag 543731 patch
thanks

On Thu, Aug 27, 2009 at 05:39:34PM +1000, Paul Fenwick wrote:
> Niko Tyni wrote:
> 
> > The problem is that errno.h has separate values for EAGAIN (11) and
> > EWOULDBLOCK (246) on hppa and the kernel is returning EAGAIN (contrary
> > to the flock(2) manual page.) Some background for this can be found in
> 
> > I suppose that regardless of whether this is ever fixed on the kernel
> > and/or documentation side, t/flock.t and lib/Fatal.pm need to check for
> > both EWOULDBLOCK and EAGAIN for compatibility.
> 
> Drat.  EAGAIN actually makes me feel funny, because I've always interpreted
> it to mean "I got distracted there, please try that again".  However in this
> case, we *don't* want to try again, because we'll spin the CPU trying to get
> a lock in non-blocking mode.
> 
> So ideally I'd only want to check for EAGAIN on hppa architectures.  That
> should be easy enough for me to detect at compile-time, however I don't have
> a PA-RISC box handy to see how they identify themselves.

The attached patch fixes the autodie 2.06_01 test suite for me on
hppa without breaking it on amd64 :) Hope you can use it at least as a
starting point.

(dropped p5p for now)

Cheers,
-- 
Niko Tyni   ntyni@debian.org
[0001-Allow-for-flock-returning-EAGAIN-instead-of-EWOULDBL.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 30 Aug 2009 19:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#543731; Package perl. (Thu, 03 Sep 2009 21:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Fenwick <pjf@perltraining.com.au>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Thu, 03 Sep 2009 21:12:09 GMT) Full text and rfc822 format available.

Message #39 received at 543731@bugs.debian.org (full text, mbox):

From: Paul Fenwick <pjf@perltraining.com.au>
To: Niko Tyni <ntyni@debian.org>
Cc: Frank Lichtenheld <djpig@debian.org>, 543731@bugs.debian.org
Subject: Re: Bug#543731: perl_5.10.1~rc2-1(hppa/experimental): FTBFS: Test lib/autodie/t/flock fails
Date: Fri, 04 Sep 2009 07:06:02 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Niko Tyni wrote:

> The attached patch fixes the autodie 2.06_01 test suite for me on
> hppa without breaking it on amd64 :) Hope you can use it at least as a
> starting point.

Thank-you very much for this!  Sorry for the slow response, I've applied
this as
037738e11a6097734b0e1dabdd77b92e5fe35219 to autodie, which will appear in
the next release on the CPAN and also make its way into the Perl core.

If you need a new release pushed to the CPAN soon, let me know and I'll make
it happen.

All the very best,

	Paul

- --
Paul Fenwick <pjf@perltraining.com.au> | http://perltraining.com.au/
Director of Training                   | Ph:  +61 3 9354 6001
Perl Training Australia                | Fax: +61 3 9354 2681
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqgL6gACgkQx5N6j7FHnlUv/QCcDIy8gdoAtMqca9E6tzYNskMp
P/wAnA8SaErBbPIH9kaDIg/cTFfmehHX
=tq7J
-----END PGP SIGNATURE-----




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Thu, 03 Sep 2009 23:36:06 GMT) Full text and rfc822 format available.

Notification sent to Frank Lichtenheld <djpig@debian.org>:
Bug acknowledged by developer. (Thu, 03 Sep 2009 23:36:06 GMT) Full text and rfc822 format available.

Message #44 received at 543731-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 543731-close@bugs.debian.org
Subject: Bug#543731: fixed in perl 5.10.1-1
Date: Thu, 03 Sep 2009 23:17:03 +0000
Source: perl
Source-Version: 5.10.1-1

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.1-1_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.1-1_all.deb
perl-doc_5.10.1-1_all.deb
  to pool/main/p/perl/perl-doc_5.10.1-1_all.deb
perl-modules_5.10.1-1_all.deb
  to pool/main/p/perl/perl-modules_5.10.1-1_all.deb
perl_5.10.1-1.diff.gz
  to pool/main/p/perl/perl_5.10.1-1.diff.gz
perl_5.10.1-1.dsc
  to pool/main/p/perl/perl_5.10.1-1.dsc
perl_5.10.1.orig.tar.gz
  to pool/main/p/perl/perl_5.10.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Sep 2009 23:41:17 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: all source 
Version: 5.10.1-1
Distribution: experimental
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Closes: 329291 490660 536384 542137 543731 543910 544307
Description:
 libcgi-fast-perl - CGI::Fast Perl module
 libperl5.10 - Shared Perl library
 libperl-dev - Perl library: development files
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Changes:
 perl (5.10.1-1) experimental; urgency=low
 .
   * New upstream release.
   * Remove traces of libcpan-plus-perl provides/conflicts/replaces in favour
     of libcpanplus-perl.
   * Clean an accidentally duplicated libcpanplus-perl conflict entry.
   * Add conflicts/replaces/provides for
     + libio-compress-bzip2-perl
   * Don't test .ph file syntax when DEB_BUILD_OPTIONS contains "nocheck"
     or "x-perl-notest"
   * Replace /usr/share/doc symlinks with separate changelog and copyright
     files in the arch-independent packages (perl-doc and perl-modules)
     to make sure they correspond to the right package version.
     (Closes: #536384, #542137)
   * Add support for abstract sockets. Thanks to Lubomir Rintel.
     (Closes: #329291, #490660)
   * In versions older than 5.10.0-24, CPANPLUS system configuration would be
     erroneously saved under /usr/share. Avoid loss of local configuration by
     copying it to /etc/perl/CPANPLUS/Config/System.pm on upgrades before the
     new package overwrites it. (Closes: #543910)
   * Add gcc predefined macros to $Config{cppsymbols} on GNU/Hurd.
     Thanks to Samuel Thibault. (Closes: #544307)
   * Fix autodie on hppa by allowing for flock returning EAGAIN instead
     of EWOULDBLOCK. (Closes: #543731)
   * Move /usr/share/perl/5.10/unicore/To into perl-base. (See #543149)
Checksums-Sha1: 
 36fbf2074e5b0716780298adacaf5d7336c0706c 3477200 perl-modules_5.10.1-1_all.deb
 3af5b847a94d9cd58f875c1e4eaf8dd9d12dd0c0 1371 perl_5.10.1-1.dsc
 5f0e2eeca1faef21d77002675f99f3306a5215f1 50466 libcgi-fast-perl_5.10.1-1_all.deb
 8536ed1c14444d1efea069525a816fbc7be7109f 14117518 perl_5.10.1.orig.tar.gz
 932ee4fda67c4d2932b31993f1d0d1c085305e30 7196354 perl-doc_5.10.1-1_all.deb
 b8278d99a83ee35469f54965218b30b94b441559 91389 perl_5.10.1-1.diff.gz
Checksums-Sha256: 
 02eb559745cfd6e27878272730672a1ab9018100a22c91df1da619f516dfdf70 3477200 perl-modules_5.10.1-1_all.deb
 25b575681a8a81f381e27da65c9876ffc75794611a1463b7dbd1eee57d47b044 50466 libcgi-fast-perl_5.10.1-1_all.deb
 99af77eda6859a9d56b19a0765c5177631345098afe39ab19db585e4d640e529 91389 perl_5.10.1-1.diff.gz
 cb7f26ea4b2b28d6644354d87a269d01cac1b635287dae64e88eeafa24b44f35 14117518 perl_5.10.1.orig.tar.gz
 e7d98fc26702bdc1eee9ee2e7fa66082c05bd11c2d6b5a0d08d7a094858f026b 1371 perl_5.10.1-1.dsc
 ec11b57dcb27476e9402d64d181313918c3eceb33e13a3b778ebb9dd4edb5808 7196354 perl-doc_5.10.1-1_all.deb
Files: 
 117119f95da3f307425e39d910c94f6a 3477200 perl standard perl-modules_5.10.1-1_all.deb
 1d575cecca6d9d669c7bdfb71ca5c0e1 91389 perl standard perl_5.10.1-1.diff.gz
 8de2398cc4d8c4780e89aa994b10107d 7196354 doc optional perl-doc_5.10.1-1_all.deb
 b9b2fdb957f50ada62d73f43ee75d044 14117518 perl standard perl_5.10.1.orig.tar.gz
 d28479f50abe12a746a26150bb12a44c 50466 perl optional libcgi-fast-perl_5.10.1-1_all.deb
 dd2429c275549a19d94346aab38669e5 1371 perl standard perl_5.10.1-1.dsc

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqgOhUACgkQiyizGWoHLTkjyQCfYnlNFocuLKvWV7OeR4x8Mwk+
mloAn1DugAOYOXVNXWuiQnaGzPpwo2uN
=xddp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Oct 2009 07:31:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:35:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.